# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}



%global barename ast-traverse

Name:               nodejs-ast-traverse
Version:            0.1.1
Release:            1%{?dist}
Summary:            Simple but flexible AST traversal

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/ast-traverse
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
Simple but flexible AST traversal with pre and post visitors. Works in node and
browsers.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ast-traverse
cp -pr package.json ast-traverse.js \
    %{buildroot}%{nodejs_sitelib}/ast-traverse

%nodejs_symlink_deps

%files
%doc LICENSE README.md
%{nodejs_sitelib}/ast-traverse/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- Initial packaging for Fedora.
